<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'file',

    /*
     * Modules.
     */
    'modules'   => ['server'],

    
    'server'       => [
        'model' => [
            'model'                 => \Litecms\File\Models\Server::class,
            'table'                 => 'servers',
            'presenter'             => \Litecms\File\Repositories\Presenter\ServerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id_download',  'judul',  'kategori',  'nama_file',  'tgl_posting',  'hits',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'file/server',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'File',
            'module'    => 'Server',
        ],

    ],
];
