<?php

namespace Litecms\File\Repositories\Eloquent;

use Litecms\File\Interfaces\ServerRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ServerRepository extends BaseRepository implements ServerRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.file.server.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.file.server.model.model');
    }
}
